PCAP_GETERR(3) | Library Functions Manual | PCAP_GETERR(3)

# NAME

pcap_geterr, pcap_perror - get or print libpcap error message text

# SYNOPSIS

#include <pcap/pcap.h>

char *pcap_geterr(pcap_t *p);
void pcap_perror(pcap_t *p, char *prefix);

# DESCRIPTION

pcap_geterr() returns the error text pertaining to the last pcap library error. NOTE: the pointer it returns will no longer point to a valid error message string after the pcap_t passed to it is closed; you must use or copy the string before closing the pcap_t.

pcap_perror() prints the text of the last pcap library error on stderr, prefixed by prefix.

# SEE ALSO

pcap(3)

5 April 2008 |